Ext.define('CityPlanning.view.Locations', {
  extend: 'Ext.panel.Panel',
  alias : 'widget.locations',
 
  title : 'Current Status of Cities',
  store: 'CitizenReports',
 
  initComponent: function() {
 
    this.items = [{
      xtype: 'panel',     //Panel to host the navigation map
      id: 'navMapPanel',
      padding: 5,
      listeners: {
        afterlayout: this.checkNavMap
      }
    }],
 
    this.dockedItems = [{
      dock: 'bottom',
      xtype: 'toolbar',
      items: [{
        xtype: 'button',
        text: 'Base Map',
        enableToggle: true,
        toggleHandler: this.toggleBaseLayer,
        pressed: true
      }]
    }],
 
    this.tools = [{
      type:'help',
      tooltip: 'Get Help',
      handler: function(event, toolEl, panel){
        //Code to show help goes here
      }
    }],
 
    this.callParent(arguments);
  },
  
  //-- Controls the display of the navigation map
  checkNavMap: function(navPanel){
    navigationController.displayNavigationMap(navPanel);
  },
  //-----  
 
  //-- Toggles the visibility of the base layer
  toggleBaseLayer: function(item, pressed){
    navigationController.navMap.layers[0].setVisibility(pressed);
  }
  //-----
   
});