Ext.define('CityPlanning.view.ReportsList', {
  extend: 'Ext.grid.Panel',
  alias : 'widget.reportslist',
 
  store: 'CitizenReports',
 
  //-- Selects the incident type's descriptive value to display in the report type field
  repType: function(abbr){
    var typesStore = Ext.getStore("IncidentTypes");
    return typesStore.getById(abbr).data.description;
  },
 
  viewConfig: {
    stripeRows: true
  },
  columnLines: true,
 
  initComponent: function() {
    this.columns = [
      Ext.create("Ext.grid.RowNumberer"),
      {
        header   : "Title",
        width    : 150,
        sortable : true,
        dataIndex: "title"
      },{
        header   : "Type",
        width    : 70,
        sortable : true,
        renderer : this.repType,
        dataIndex: "reportType"
      },{
        header   : "Description",
        flex     : 1,
        sortable : false,
        dataIndex: "description"
      },{
        header   : "Lon (X)",
        width    : 70,
        sortable : false,
        dataIndex: "lon", xtype: "numbercolumn", format:"0.000000"
      },{
        header   : "Lat (Y)",
        width    : 70,
        sortable : false,
        dataIndex: "lat", xtype: "numbercolumn", format:"0.000000"
      },{
        header   : "City",
        width    : 80,
        sortable : false,
        dataIndex: "city"
      },{
        xtype    : "datecolumn",
        header   : "Date",
        width    : 80,
        sortable : true,
        format   : "d-M-Y",
        dataIndex: "reportDate"
      },{
        xtype    : "actioncolumn",
        header   : "OK",
        width    : 30,
        items: [{
          icon   : "images/blank.gif",
          tooltip: "",
          getClass: function(value,metadata,record){  //Status icon selection
            if (record.data.status == "repaired") {
              this.items[0].tooltip = "repaired";
              return "repaired-icon";
            } else if (record.data.status == "in progress") {
              this.items[0].tooltip = "work in progress";
              return "inprogress-icon";
            } else {
              this.items[0].tooltip = "recently added";
              return "waiting-icon";
            }
          }
        }]
      }
    ];
 
 
    this.dockedItems = [{     //Task bar items
      dock: "bottom",
      xtype: "toolbar",
      items: [{
        xtype: "button",
        text: "New Report",
        action: "newreport"
      },"-",{
        xtype: "button",
        text: "Commit Changes"
      }]
    }],
 
    this.callParent(arguments);
  },
 
});